<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('../conexao.php');
	$user = $_POST['usuario'];
	$senha = $_POST['senha'];
	$tipo = $_POST['tipo'];
	$id = $_POST['cli_id'];
	
	if((strcasecmp($tipo,'ADM') !== 0) || (strcasecmp($tipo,'COM') !== 0))
	{
		// Verificar se usuário já existe
		$check = $con->prepare('SELECT usuario FROM consulta_usuarios WHERE usuario = ?');
		$check->bind_param('s',$user);
		$check->execute();
		$res = $check->get_result();
		$row = $res->fetch_assoc();
		if(!empty($row['usuario']))
		{
			$_SESSION['msg'] = "Nome de usuário em uso.";
			header('Location: cad_user.php');
			$check->close();
		}
		else
		{
			$stmt = $con->prepare('INSERT INTO login_usuarios(login,senha,tipo,id_cliente) VALUES (?, ?, ?, ?)');
			$hashp = password_hash($senha, PASSWORD_DEFAULT);
			$stmt->bind_param('ssss',$user,$hashp,$tipo,$id);
			if($stmt->execute()){
				$_SESSION['msg'] = "Usuário adicionado com Sucesso.";
				$stmt->close();
			}
			else
			{
				$_SESSION['msg'] = "Erro na hora de adicionar.";
				header('Location: cad_user.php');
				$stmt->close();
			}
			if(isset($_SESSION['tmp']))
				unset($_SESSION['tmp']);
			header('Location: index.php');
		}
	}
	else{
		$_SESSION['msg'] = "Tipo de usuário inválido!";
		header('Location: cad_user.php');
	}
?>