<?php
	session_start();
	include_once("../conexao.php");
	include_once("../menu.php");
?>

<!DOCTYPE html>
<html lang="pt-br">
	<head>
		<meta charset="utf-8">
		<title>LISTA DE CLIENTES</title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/tables.css">
	</head>
	<body>
		<?php echo $nav;?>
		<section>
		<?php if(isset($_SESSION['msg'])){?>
			<div class="msg">
				<?php echo $_SESSION['msg'];
					unset($_SESSION['msg']);?>
			</div>
		<?php }?>
			<a href="cad_cliente.php">Cadastrar</a><br>
			<h1> CLIENTES </h1>
			<table border="1" width="100%">
				<?php
				echo "<td>ID </td> <td> Nome</td> <td> Endereço </td> <td> Complemento </td> <td> Bairro </td> <td> Cidade </td> <td> Estado </td> <td> Email </td> <td> CPF/CNPJ </td> <td> RG </td> <td> Telefone </td> <td> Celular </td> <td> CEP </td> <td colspan='2'> Operações </td>";

				$pagina_atual = filter_input(INPUT_GET,'pagina',FILTER_SANITIZE_NUMBER_INT);
				$pagina = (!empty($pagina_atual)) ? $pagina_atual : 1;

				$qnt_result_pg = 15;

				$inicio = ($qnt_result_pg * $pagina) - $qnt_result_pg;

				$result_clientes = "SELECT * FROM tbclientes LIMIT $inicio, $qnt_result_pg";
				$resultado_clientes = mysqli_query($con, $result_clientes);
				while ($row = mysqli_fetch_assoc($resultado_clientes)) {
					if(strcasecmp($row['nome'],'ADMINISTRADOR') !== 0)
					{
						echo "<tr><td>" . $row['id'] . "</td><td> ";
						echo $row['nome'] ."</td><td>";
						echo $row['endereco'] . "</td><td>";
						echo $row['complemento'] . "</td><td>";
						echo $row['bairro'] . "</td><td>";
						echo $row['cidade'] . "</td><td>";
						echo $row['estado'] . "</td><td>";
						echo $row['email'] . "</td><td>";
						echo $row['cpf_cnpj'] . "</td><td>";
						echo $row['rg'] . "</td><td>";
						echo $row['telefone'] . "</td><td>";
						echo $row['celular'] . "</td><td>";
						echo $row['cep'] . "</td><td><a href='edit_cliente.php?id=". $row['id'] . "'>Editar</a>";
						echo "</td><td> <a href='del_cliente.php?id=". $row['id'] . "'>Excluir </a></td></tr>";
					}
				}
				echo "</table>";

				$result_pg = "SELECT COUNT(id) AS num_result FROM tbclientes";
				$resultado_pg = mysqli_query($con, $result_pg);
				$row_pg = mysqli_fetch_assoc($resultado_pg);
				$quantidade_pg = ceil($row_pg['num_result'] / $qnt_result_pg);

				$max_links = 2;
				$max_links = 2;
				echo "<a href='index.php?pagina=1'>Primeira</a> ";
				
				$paginant = $pagina - 1;
				$pagprox = $pagina + 1;
				if($paginant >= 1)
				{
					echo "<a href='index.php?pagina=$paginant'><<</a> ";
				}
				
				for($pag_ant = $pagina - $max_links; $pag_ant <= $pagina - 1; $pag_ant++){
					if($pag_ant >= 1){
						echo "<a href='index.php?pagina=$pag_ant'>$pag_ant</a> ";
					}
				}
					
				echo "$pagina ";
				
				for($pag_dep = $pagina + 1; $pag_dep <= $pagina + $max_links; $pag_dep++){
					if($pag_dep <= $quantidade_pg){
						echo "<a href='index.php?pagina=$pag_dep'>$pag_dep</a> ";
					}
				}
				
				if($pagprox <= $quantidade_pg)
				{
					echo "<a href='index.php?pagina=$pagprox'>>></a> ";
				}
				
				echo "<a href='index.php?pagina=$quantidade_pg'>Última</a>";
			?>
		</section>
		<?php echo $footer;?>
	</body>
</html>