<?php
	if (session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('../menu.php');
?>
<!DOCTYPE HTML>
<html>
	<head>
		<meta charset="UTF-8">
		<title> Cadastro de prestadores </title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/forms.css">	
		<link rel="stylesheet" href="../css/article.css">	
		<link rel="stylesheet" href="../css/input.css">	
	</head>
	<body>
		<?php
			echo $nav;
			?>
		<article>
			<section class='center'>
			<a href="index.php">Listar</a>
			<?php if(isset($_SESSION['msg'])){?>
				<div class="msg">
					<?php echo $_SESSION['msg'];
						unset($_SESSION['msg']);?>
				</div>
			<?php }?>
				<p><h1> Prestadores - inclusão</h1></p>
				<form method="POST" action="inc_pre.php">
					<p> Nome: <input type="text" name="nome" required></p>
					<p> Endereço: <input type="text" name="endereco" required></p>
					<p> Complemento: <input type="text" name="complemento" required></p>
					<p> Bairro: <input type="text" name="bairro" required></p>
					<p> Cidade: <input type="text" name="cidade" required></p>
					<p> Estado: <input type="text" name="estado" required></p>
					<p> CEP: <input type="text" name="cep" required></p>
					<p> Email: <input type="email" name="email" placeholder="exemplo@hotmail.com" required></p>
					<p> Telefone: <input type="tel" name="telefone" placeholder="(XX)XXXX-XXXX" required></p>
					<p> Celular: <input type="tel" name="celular" placeholder="(XX)XXXXX-XXXX" required></p>
					<table class='input'>
						<td><input class='buttons' type="submit" value="Enviar"></td>
						<td><input class='buttons' type="reset" value="Limpar"></td>
					</table>
				</form>
			</section>
		</article>
		<?php echo $footer;?>
	</body>
</html>