<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('../conexao.php');
	include('../menu.php');
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>Relatórios</title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/article.css">
	</head>
	<body>
		<?php echo $nav; ?>
		<article>
			<section class='left'>
			</section>
			<section class='center'>
				<h1>Relatórios</h1>
				<p>Selecione um dos botões abaixo para ver um relatório.</p>
				<a class='button' href="rel_prestador.php">Relatório Prestadores</a>
				<a class='button' href="rel_cliente.php">Relatório Clientes</a>
				<a class='button' href="rel_prestador_servico.php">Relatório Serviços</a>
				<p>Selecione um dos botões abaixo para acessar uma pesquisa.</p>
				<a class='button' href="pes_cliente.php">Pesquisar Clientes</a>
				<a class='button' href="pes_servico.php">Pesquisar Serviço por Categoria</a>
				<a class='button' href="pes_orcamento_cliente.php">Pesquisar Orçamento por Cliente</a>
				<a class='button' href="pes_orcamento_data.php">Pesquisar Orçamento por Data</a>
				<a class='button' href="pes_prestadores_cli.php">Pesquisar Prestadores</a>
				<a class='button' href="pes_servicos_cli.php">Pesquisar Serviços</a>
				<?php if(isset($_SESSION['tipo'])){
						if(strcmp($_SESSION['tipo'],'adm')==0){?>
					<p>Para administradores:</p>
					<a class='button' href='rel_cliente_adm.php'>Relatório de Clientes e Usuários</a>
					<a class='button' href='pes_usuarios.php'>Pesquisa de Usuários</a>
				<?php } } ?>
			</section>
			<section class='right'>
			</section>
		</article>
		<?php echo $footer; ?>
	</body>
</html>