<?php
	if (session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include("../conexao.php");
	include('../menu.php');
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>Pesquisar Orçamento por Data</title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/article.css">	
		<link rel="stylesheet" href="../css/input.css">	
	</head>
	<body>
		<?php echo $nav; ?>
		<article>
			<section class='center'>
				<h1>Pesquisar Orçamento por Data</h1>		
				<form method="POST" action="">
					<label>Pesquisar por data de expiração?</label>
					<input type="checkbox" name="dataEntrega"><br><br>
					<label>Data Inicio: </label>
					<input type="date" name="inicio"><br><br>
					<label>Data Final: </label>
					<input type="date" name="final"><br><br>
					<input type="submit" class='buttons' name="SendPesqUser" value="Pesquisar">
				</form><br><br>
				
				<?php
				$SendPesqUser = filter_input(INPUT_POST, 'SendPesqUser', FILTER_SANITIZE_STRING);
				$PesquisaTipo = filter_input(INPUT_POST,'dataEntrega',FILTER_VALIDATE_BOOLEAN);
				if($SendPesqUser){
					$inicio = filter_input(INPUT_POST, 'inicio', FILTER_SANITIZE_STRING);
					$final = filter_input(INPUT_POST, 'final', FILTER_SANITIZE_STRING);
					$query = "SELECT * FROM consulta_orcamentos WHERE data BETWEEN '$inicio' AND '$final'";
					
					if($PesquisaTipo === true)
						$query = "SELECT * FROM consulta_orcamentos WHERE data_expiracao BETWEEN '$inicio' AND '$final'";
					
					$resultado = mysqli_query($con, $query);
					echo "<h2> Resultados: </h2>";
					while($row = mysqli_fetch_assoc($resultado)){
						echo "<h2>Orçamento N°: ".$row['orcamento']."<br>Data Início: ".$row['data']."<br></h2>";
						echo "Valor: " . $row['valor'] . "<br>";
						echo "Prestador: " . $row['prestador'] . "<br>";
						echo "Data de expiração: " . $row['data_expiracao'] . "<br>";
						echo "Cliente: " . $row['cliente'] . "<br>";
						echo "Serviço: " . $row['servico'] . "<br>";
						echo "Observação: " . $row['observacao'] . "<br><hr>";
					}
				}
				?>
			</section>
		</article>
		<?php echo $footer; ?>
	</body>
</html>