<?php
	if (session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include("../conexao.php");
	include('../menu.php');
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>Pesquisar Orçamento por Prestador</title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/article.css">	
		<link rel="stylesheet" href="../css/input.css">	
	</head>
	<body>
		<?php echo $nav; ?>
		<article>
			<section class='center'>
				<h1>Pesquisar Orçamento por prestador</h1>		
				<form method="POST" action="">
					<label>Prestador: </label>
					<input type="text" name="nome" placeholder="Digite o prestador do orçamento" size="30"><br><br>
					<input type="submit" class='buttons' name="SendPesqUser" value="Pesquisar">
				</form><br><br>
				
				<?php
				$SendPesqUser = filter_input(INPUT_POST, 'SendPesqUser', FILTER_SANITIZE_STRING);
				if($SendPesqUser){
					$nome = filter_input(INPUT_POST, 'nome', FILTER_SANITIZE_STRING);
					$query = "SELECT * FROM consulta_orcamentos WHERE prestador like '%$nome%'";
					$resultado = mysqli_query($con, $query);
					while($row = mysqli_fetch_assoc($resultado)){
						echo "ID:" . $row['orcamento'] . "<br>";
						echo "Data inicio: " . $row['data'] . "<br>";
						echo "Valor: " . $row['valor'] . "<br>";
						echo "Prestador: " . $row['prestador'] . "<br>";
						echo "Data de expiração: " . $row['data_expiracao'] . "<br>";
						echo "Cliente: " . $row['cliente'] . "<br>";
						echo "Serviço: " . $row['servico'] . "<br>";
						echo "Observação: " . $row['observacao'] . "<br><hr>";
					}
				}
				?>
			</section>
		</article>
		<?php echo $footer; ?>
	</body>
</html>