<?php
	if (session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include("../conexao.php");
	include('../menu.php');
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>Relatório prestador</title>
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/article.css">	
		<link rel="stylesheet" href="../css/input.css">	
	</head>
	<body>
		<?php echo $nav; ?>
		<article>
			<section class='center'>
				<h1>Clientes</h1>
				<?php
					$sql= "SELECT * FROM tbclientes";
					$resultado = mysqli_query($con,$sql) or die("Erro ao retornar dados");
					
					while ($registro = mysqli_fetch_array($resultado)){
						echo "<h2>N°: ".$registro['id']."<br>Cliente: ".$registro['nome']."<br></h2>";
						echo "<h3>Detalhes de Endereço</h3>";
						echo "Endereço: ".$registro['endereco']."<br>";
						echo "Bairro: ".$registro['bairro']."<br>";
						echo "Cidade: ".$registro['cidade']."<br>";
						echo "Estado: ".$registro['estado']."<br>";
						echo "CEP: ".$registro['cep']."<br>";
						echo "<h3>Informações Pessoais</h3>";
						echo "Email: ".$registro['email']."<br>";
						echo "CPF/CNPJ: ".$registro['cpf_cnpj']."<br>";
						echo "RG: ".$registro['rg']."<br>";
						echo "Telefone: ".$registro['telefone']."<br>";
						echo "Celular: ".$registro['celular']."<br>";
						echo "<hr>";
					}
					mysqli_close($con);
				?>
			</section>
		</article>
		<?php echo $footer; ?>
	</body>
</html>