<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	if(!isset($_SESSION['setup']))
	{
		unset($_SESSION['setup']);
		header('Location: index.php');
	}
?>
<!DOCTYPE html>
<html lang="pt-br">
	<head>
		<meta charset="utf-8">
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/forms.css">	
		<link rel="stylesheet" href="../css/article.css">	
		<link rel="stylesheet" href="../css/input.css">	
	</head>
	<body>
		<nav id="menu">
			<ul>
				<li><a>CONFIGURAÇÃO INICIAL</a></li>
			</ul>
		</nav>
		<article>
			<section class='center'>
				<h1>Usuário Administrador não existe.</h1>
				<h4>Por favor, utilize o formulário abaixo para criar.</h4>
				<hr>
					<?php if(isset($_SESSION['msg'])){?>
						<div class="msg">
							<?php echo $_SESSION['msg'];
								unset($_SESSION['msg']);?>
						</div>
					<?php }?>
				<div style='margin: auto'>
					<form action='setup.php' method='POST'>
						<label for='username'>Usuário:</label><br>
						<input type='text' name='username' placeholder="Ex.: Administrador" required><br>
						<label for='password'>Senha:</label><br>
						<input type='password' name='passwd' placeholder="Senha" required><br>
						<label for='password'>E-Mail:</label><br>
						<input type='email' name='email' placeholder="Ex.: exemplo@teste.com" required><br><br>
						<table class='input'>
							<td><input class='buttons' type='submit' name="entrar"></td>
							<td><input class='buttons' type='reset'></td>
						</table>
					</form>
				</div>
				<hr>
			</section>
		</article>
		
	</body>
</html>