<?php
	if(session_status() !== PHP_SESSION_ACTIVE){
		session_start();
	}
	include('../menu.php');
?>
<DOCTYPE html>
	<html>
		<head>
			<meta charset="utf-8">
			<title> Cadastro de clientes </title>
			<link rel="stylesheet" href="../css/menu.css">
			<link rel="stylesheet" href="../css/forms.css">	
			<link rel="stylesheet" href="../css/article.css">	
			<link rel="stylesheet" href="../css/input.css">	
		</head>
		<body>
			<?php
				echo $nav;
			?>
			<article>
				<section class='center'>
				<a href="index.php">Listar</a>
				<?php if(isset($_SESSION['msg'])){?>
					<div class="msg">
						<?php echo $_SESSION['msg'];
							unset($_SESSION['msg']);?>
					</div>
				<?php }?>
				<p><h1> Cadastro de clientes </h1></p>
				<hr>
				<form method="POST" action="inc_cliente.php">
					<h4>Informações Básicas</h4>
					<p>Nome: <input type="text" name="nome"></p>
					<p>Endereço: <input type="text" name="endereco"></p>
					<hr>
					<h4>Detalhes do Endereço</h4>
					<p>Complemento: <input type="text" name="complemento"></p>
					<p>Bairro: <input type="text" name="bairro"></p>
					<p>Cidade: <input type="text" name="cidade"></p>
					<p>Estado: <input type="text" name="estado"></p>
					<hr>
					<h4>Dados Pessoais</h4>
					<p>CEP: <input type="number" name="cep"></p>
					<p>CPF/CNPJ: <input type="number" name="cpf_cnpj"></p>
					<p>RG: <input type="number" name="rg"></p>
					<hr>
					<h4>Informações de Contato</h4>
					<p>Email: <input type="email" name="email" placeholder="exemplo@exemplo.com"></p>
					<p>Telefone: <input type="tel" name="telefone" placeholder="(XX)XXXX-XXXX"></p>
					<p>Celular: <input type="tel" name="celular" placeholder="(XX)XXXXX-XXXX"></p>
					<?php if(isset($_SESSION['tipo'])){
						if(strcmp($_SESSION['tipo'],'adm')==0){
						?>
						<p> Desejo criar usuário: <input type="checkbox" name="criarUsuario"></p>
					<?php }
					}?>
					<table class='input'>
						<td><input class='buttons' type="submit" value="Enviar"></td>
						<td><input class='buttons' type="reset" value="Limpar"></td>
					</table>
				</form>
				</section>
			</article>
			<?php
				echo $footer;
			?>
	</body>
</html>