<?php
	session_start();
	include_once("../conexao.php");
	include_once("../menu.php");
?>
<!DOCTYPE html>
<html lang="pt-br">
	<head>
		<meta charset="utf-8">
		<title>Orçamentos</title>		
		<link rel="stylesheet" href="../css/menu.css">
		<link rel="stylesheet" href="../css/tables.css">	
	</head>
	<body>
	<?php echo $nav;?>
		<section>
			<a href="cad_orcamento.php">Cadastrar</a><br>
			<?php if(isset($_SESSION['msg'])){?>
				<div class="msg">
					<?php echo $_SESSION['msg'];
						unset($_SESSION['msg']);?>
				</div>
			<?php }?>
			<h1>Listar orçamentos</h1>
			<table border="1" width="100%">
				<tr>
					<td>N°</td>
					<td>Data de Abertura</td>
					<td>Valor</td>
					<td>Data Expiração</td>
					<td>Cliente</td>
					<td>Prestador</td>
					<td>Serviço</td>
					<td>Observação</td>
					<td colspan='2'>Operações</td>
				</tr>
			<?php
			$pagina_atual = filter_input(INPUT_GET,'pagina', FILTER_SANITIZE_NUMBER_INT);		
			$pagina = (!empty($pagina_atual)) ? $pagina_atual : 1;
			
			$qnt_result_pg = 15;
			
			$inicio = ($qnt_result_pg * $pagina) - $qnt_result_pg;
			
			$result_orcamentos = "SELECT * FROM consulta_orcamentos LIMIT $inicio, $qnt_result_pg";

			$resultado_orcamentos = mysqli_query($con, $result_orcamentos);
			while($row = mysqli_fetch_assoc($resultado_orcamentos)){
				echo "<tr><td>" . $row['orcamento']."</td>" ;
				echo "<td>" . $row['data']."</td>";
				echo "<td>R$" . $row['valor']."</td>";
				echo "<td>" . $row['data_expiracao']."</td>";
				echo "<td>" . $row['cliente']."</td>";
				echo "<td>" . $row['prestador']."</td>";
				echo "<td>" . $row['servico']."</td>";
				echo "<td>" . $row['observacao']."</td>";
				echo "<td> <a href='edit_orcamento.php?id=". $row['orcamento'] . "'>Editar </a></td>";
				echo "<td> <a href='del_orcamento.php?id=". $row['orcamento'] . "'>Excluir </a></td></tr>";
			}
			echo "</table>";

			$result_pg = "SELECT COUNT(orcamento) AS num_result FROM consulta_orcamentos";
				$resultado_pg = mysqli_query($con, $result_pg);
				$row_pg = mysqli_fetch_assoc($resultado_pg);
				$quantidade_pg = ceil($row_pg['num_result'] / $qnt_result_pg);

			$max_links = 2;
			
				echo "<a href='index.php?pagina=1'>Primeira</a> ";
				
				$paginant = $pagina - 1;
				$pagprox = $pagina + 1;
				if($paginant >= 1)
				{
					echo "<a href='index.php?pagina=$paginant'><<</a> ";
				}
				
				for($pag_ant = $pagina - $max_links; $pag_ant <= $pagina - 1; $pag_ant++){
					if($pag_ant >= 1){
						echo "<a href='index.php?pagina=$pag_ant'>$pag_ant</a> ";
					}
				}
					
				echo "$pagina ";
				
				for($pag_dep = $pagina + 1; $pag_dep <= $pagina + $max_links; $pag_dep++){
					if($pag_dep <= $quantidade_pg){
						echo "<a href='index.php?pagina=$pag_dep'>$pag_dep</a> ";
					}
				}
				
				if($pagprox <= $quantidade_pg)
				{
					echo "<a href='index.php?pagina=$pagprox'>>></a> ";
				}
				
				echo "<a href='index.php?pagina=$quantidade_pg'>Última</a>";
			?>
		</section>
	<?php echo $footer;?>
	</body>
</html>