<?php
session_start();
include_once("../conexao.php");

$id = filter_input(INPUT_POST, 'id', FILTER_SANITIZE_NUMBER_INT);
$id_prestador=(empty($_POST["id_prestador"])) ? NULL : $_POST["id_prestador"];
$nome = filter_input(INPUT_POST, 'nome', FILTER_SANITIZE_STRING);


if($id_prestador != NULL)
{
	$check_query = "SELECT * FROM prestadores_servicos WHERE id_servico = ?";
	$stmt = $con->prepare($check_query);
	$stmt->bind_param('s',$id);
	$stmt->execute();
	$res = $stmt->get_result();
	if(is_array($res->fetch_assoc()))
	{
		$stmt->close();
		$sql = "UPDATE prestadores_servicos SET id_servico = ?, id_prestador = ? WHERE id_servico = ?";
		$stmt = $con->prepare($sql);
		$stmt->bind_param('sss',$id,$id_prestador,$id);
		if($stmt->execute()){
			$_SESSION['msg'] = "<p style='color:green;'>Serviço alterado com sucesso</p>";
			header("Location: index.php");
		}
	}
	else
	{
		$stmt->close();
		$sql = "INSERT INTO prestadores_servicos (id_prestador, id_servico) VALUES (?,?)";
		$stmt = $con->prepare($sql);
		$stmt->bind_param('ss',$id_prestador,$id);
		if($stmt->execute())
		{
			$_SESSION['msg']= "<p style='color:blue;'> Serviço cadastrado com sucesso!</p>";
			header('Location: index.php');
		}
		else{
			$_session['msg']= "<p style='color:red;'> Serviço não foi cadastrado!</p>";
			header('Location: index.php');
		}
	}
}

$result= "UPDATE servicos SET servico = ? WHERE id = ?";
$stmt = $con->prepare($result);
$stmt->bind_param('ss',$nome,$id);

if($stmt->execute()){
	$stmt->close();
	$_SESSION['msg'] = "<p style='color:green;'>Serviço alterado com sucesso</p>";
	header("Location: index.php");
}else{
	$stmt->close();
	$_SESSION['msg'] = "<p style='color:red;'>Serviço não foi alterado</p>";
	header("Location: edit_ser.php?id=$id");
}
?>
